kcapi_md_digestsize
Prev | Message Digest Cipher API - Generic | Next

## Name

kcapi_md_digestsize — return the size of the message digest

## Synopsis

`uint32_t kcapi_md_digestsize (` | struct kcapi_handle * handle`)`;

## Arguments

`handle`

  [in] cipher handle

## Description

The returned message digest size can be used before the kcapi_md_final function invocation to determine the right memory size to be allocated for this call.

`return` > 0 specifying the block size; 0 on error

Prev | Up | Next
kcapi_md_setkey | Home | Message Digest Cipher API - One Shot